{{#if this.hasOneOption}}
  <strong class="value">{{this.value.title}}</strong>
{{/if}}

{{#if this.hasManyOptions}}
  <Input::Select id={{@id}} @list={{this.list}} @value={{this.value}} @onChange={{@onChange}} />
{{/if}}

<div class="d-none" {{did-insert this.setup}}></div>